> ## Documentation Index
> Fetch the complete documentation index at: https://docs.proconvey.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Get case

> Returns detailed information about a specific case by ID.



## OpenAPI

````yaml https://v2.proconvey.co.uk/api/v2/doc get /api/v2/cases/{id}
openapi: 3.1.0
info:
  title: ProConvey Public API
  version: '2.0'
  description: Public API for case management.
servers: []
security: []
tags:
  - name: Cases
    description: Case management operations including creation, retrieval, and data access
  - name: Clients
    description: Client records for the organisation
  - name: Webhooks
    description: >-
      Webhooks available for receiving updates of events on the ProConvey
      platform
  - name: Organisations
    description: Organization management and setup
  - name: System
    description: System and utility endpoints including branches and documentation
paths:
  /api/v2/cases/{id}:
    get:
      tags:
        - Cases
      summary: Get case
      description: Returns detailed information about a specific case by ID.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: Case ID
      responses:
        '200':
          description: Case basic details
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Case ID
                  type:
                    type: string
                    description: Case type (Sale, Purchase, Remortgage, Transfer)
                  branchId:
                    type: string
                    description: Branch ID
                  feeEarnerId:
                    type: string
                    description: Fee earner ID
                  propertyPrice:
                    type: number
                    description: Property price
                  propertyCurrency:
                    type: string
                    description: Property currency (typically GBP)
                  reference:
                    type: string
                    description: Case reference
                  createdAt:
                    type: string
                    format: date-time
                    description: Case creation timestamp
                  archivedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                    description: Case archive timestamp (null if not archived)
        '400':
          description: Bad request - missing case ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
        '401':
          description: Unauthorized - user not authenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
        '403':
          description: Forbidden - user doesn't belong to the organization
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
        '404':
          description: Case not found or doesn't belong to organization
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message

````